经典编辑器

描述

经典编辑器是由WordPress团队维护的官方插件,用以恢复较早版本(“经典”)的WordPress编辑器和“编辑文章”页面。此插件亦能供其他扩展该页、加入旧式meta box及其他依赖经典编辑器的插件使用。

经典编辑器是一个WordPress官方插件,会被支持及维护到至少2022年,或视需要延长。

总的来说,这个扩展加入了以下功能:

  • 管理员可以为所有用户设置默认编辑器。
  • 管理员可以允许用户修改他们的默认编辑器。
  • 如果允许,则用户可自由选择为每篇文章使用何种编辑器。
  • 无论由谁最后编辑,每篇文章都会以最后使用的编辑器打开。因为这能让编辑内容时的使用体验保持一致。

除此之外,经典编辑器插件包含了数个过滤器,能够让其他插件控制相关设置,亦能选择每篇文章或每种文章类型的编辑器选择。

此插件默认隐藏全新区块编辑器(又称“古腾堡”)的所有功能。

屏幕截图

  • 设置 > 撰写页面的管理设置。
  • 在个人资料页面的用户设置。仅在用户能够切换编辑器时显示。
  • “动作链接”来选择另一个编辑器。仅在用户能够切换编辑器时显示。
  • 使用经典编辑器编辑文章时会显示的切换到区块编辑器的链接。仅在用户能够切换编辑器时显示。
  • 使用区块编辑器编辑文章时会显示的切换到经典编辑器的链接。仅在用户能够切换编辑器时显示。
  • 为网络选择默认编辑器及允许站点管理员进行修改的网络设置。
  • “切换到经典编辑器”链接。

常见问题

默认设置

在此插件启用时,此插件会把WordPress的编辑器复原为较早版本的WordPress编辑器(“经典编辑器”),并隐藏新的区块编辑器(“古腾堡”)。
这些设置可在设置 → 撰写页面中修改。

网络安装的默认设置

有两个选项:

  • 在站点属于网络时,此插件会将经典编辑器设为默认,并阻止站点管理员及用户更换编辑器。
    此设置可被修改。全网络默认的编辑器可在网络设置页选择。
  • 在站点不属于网络时,每个站点的管理员都能激活此插件并为用户选择编辑器。

这个选项只会出现在区块编辑器的主菜单中,请参见这张截图

评价

2021年4月13日
Really the best plugin if you create content in volume. Are the devs finally gonna remove the annoying gutenberg editor?
2021年3月31日
I use it with Advanced Editor Tools (previously TinyMCE Advanced). This is really the best! I don't like the new editor and I hope the Classic Editor will be here for a long long time.
阅读所有949条评价

贡献者及开发者

“经典编辑器”插件已被翻译至62种本地话语言。 感谢所有译者为本插件所做的贡献。

将“经典编辑器”翻译成您的语言。

对开发感兴趣吗?

您可以浏览代码,查看SVN仓库,或通过RSS订阅开发日志

更新日志

1.6

  • 已针对 WordPress 5.5 更新。
  • 修复了与调用不赞成使用的功能,不必要地注册卸载钩子以及某些字符串大写有关的小问题。

1.5

  • 为 WordPress 5.2 和 Gutenberg 5.3 做出更新。
  • Enhanced and fixed the “open posts in the last editor used to edit them” logic.
  • Fixed adding post state so it can easily be accessed from other plugins.

1.4

  • 在站点网络安装中取消了仅网络启用的限制。
  • 增加了网络管理员可选择对于网络全局的默认编辑器的支持。
  • 修复了 “关于网络 “页面警告中的设置链接。
  • 在区块编辑器菜单中,适当地新增了“切换到经典编辑器”选项。

1.3

  • 修复了移除“Try Gutenberg”仪表盘小工具的问题。
  • 修复了更新内容页面上升级后提示的显示条件问题。当经典编辑器获选择且用户无法切换编辑器时进行提示。

1.2

  • 修复了保存草稿文章之前从添加新(文章)界面切换编辑器的问题。
  • 修复了将编辑URL附加到 classic-editor 查询变量中的错误。
  • 将WordPress 5.0的检测改为不使用版本检查。修复了测试5.1-alpha时的一个bug。
  • 将允许用户切换编辑器的选项的默认值改为false。
  • 添加了禁用Gutenberg插件的功能,并将所需的WordPress版本降级到4.9。
  • 添加了classic_editor_network_default_settings过滤器。

1.1

修复了当用户被允许切换编辑器时,可能试图为不支持加载区块编辑器的文章类型加载区块编辑器的问题。

1.0

  • 已对WordPress5.0更新。
  • 将所有“古腾堡”的名称替换为“区块编辑器”。
  • 刷新了设置UI。
  • 移除了禁用Gutenberg插件的功能。这是在WordPress 4.9中为了测试而添加的。如果用户想在WordPress 5.0及以后继续关注Gutenberg的发展,将不需要另一插件来禁用此功能。
  • Added support for per-user settings of default editor.
  • Added support for admins to set the default editor for the site.
  • Added support for admins to allow users to change their default editor.
  • Added support for network admins to prevent site admins from changing the default settings.
  • Added support to store the last editor used for each post and open it next time. Enabled when users can choose default editor.
  • Added “post editor state” in the listing of posts on the Posts screen. Shows the editor that will be opened for the post. Enabled when users can choose default editor.
  • Added classic_editor_enabled_editors_for_post and classic_editor_enabled_editors_for_post_type filters. Can be used by other plugins to control or override the editor used for a particular post of post type.
  • Added classic_editor_plugin_settings filter. Can be used by other plugins to override the settings and disable the settings UI.

0.5

  • 针对Gutenberg 4.1和WordPress 5.0-beta1更新
  • 移除了Gutenberg的一些现有函数。
  • 修复了查看文章修订版本后被重定向回经典编辑器的问题。

0.4

  • 修复了未启用Gutenberg插件时删除“ Try Gutenberg”调用的问题。
  • 修复了总是在插件列表中显示设置和设置链接的问题。
  • 更新了readme 文案。

0.3

  • 将选项从复选框更换为几个单选按钮,看起来更直观。感谢 @designsimply 提供的标签文字建议。
  • 一些常规更新和优化。

0.2

  • Gutenberg 1.9的更新。
  • 如果未启用Gutenberg请移除警告并自动禁用。

0.1

初次发布。